# DeleteLicense

### Description

Deletes a license key on the License Server.

Note that to call this function, you must:

* Set the AdminEncryptionKey

```csharp
void DeleteLicense (string webServiceUrl, string activationKey, 
                    string computerID, string computerKey, 
                    bool multipleActivationsKey, bool historyTable, 
                    out string response)
```

### Parameters

| Parameter              |  Type  | Description                                                                                                                                   |
| ---------------------- | :----: | --------------------------------------------------------------------------------------------------------------------------------------------- |
| webServiceUrl          | string | URL to the QLM License Server.                                                                                                                |
| activationKey          | string | the license key to delete                                                                                                                     |
| computerID             | string | the computer ID to delete. The computerID is optional if multipleActivationsKey is false.                                                     |
| computerKey            | string | the computerKey being deleted                                                                                                                 |
| multipleActivationsKey |  bool  | set to true if this key is a multiple activations key. The Delete operates then on the ActivationLog table. The computerID must be specified. |
| historyTable           |  bool  | set to true if you want to delete licenses from the history table where all released licenses are backed up.                                  |
| response               | string | XML fragment containing the result of the call.                                                                                               |

### Response XML format

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<result>ActivationKey A162DCF05C30D371A2D0E0461040A0 has been deleted.</result>
</QuickLicenseManager>
```

### Example error response

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<error>Details about the error</error>
</QuickLicenseManager>
```

## Remarks

Use [ParseResults ](/docs/api-reference/.net-api/iqlmcustomerinfo/methods/parseresults.md)to interpret the results of the call and load the returned data into an [ILicenseInfo ](/docs/api-reference/.net-api/ilicenseinfo.md)object.

```csharp
ILicenseInfo li = new LicenseInfo();
string message = string.Empty;
if (lv.QlmLicenseObject.ParseResults(response, ref li, ref message))
{
  // The operation  was successful	
}
else
{
  // The operation failed
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/management-methods/deletelicense.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
